package textures.mobs.rabbit;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class RabbitDeathTextures {
	
	public static void getTextures(BufferedImage image){
		
		final int WIDTH_HEIGHT = 20;
		
		/*** SOUTH IDLE ***/
		Textures.rabbitSheet[112] = Utils.grabSprite(image, 15, 1, WIDTH_HEIGHT, WIDTH_HEIGHT);
		Textures.rabbitSheet[113] = Utils.grabSprite(image, 16, 1, WIDTH_HEIGHT, WIDTH_HEIGHT);
		Textures.rabbitSheet[114] = Utils.grabSprite(image, 17, 1, WIDTH_HEIGHT, WIDTH_HEIGHT);

		/*** NORTH IDLE ***/
		Textures.rabbitSheet[115] = Utils.grabSprite(image, 15, 2, WIDTH_HEIGHT, WIDTH_HEIGHT);
		Textures.rabbitSheet[116] = Utils.grabSprite(image, 16, 2, WIDTH_HEIGHT, WIDTH_HEIGHT);
		Textures.rabbitSheet[117] = Utils.grabSprite(image, 17, 2, WIDTH_HEIGHT, WIDTH_HEIGHT);

		/*** WEST IDLE ***/
		Textures.rabbitSheet[118] = Utils.grabSprite(image, 15, 3, WIDTH_HEIGHT, WIDTH_HEIGHT);
		Textures.rabbitSheet[119] = Utils.grabSprite(image, 16, 3, WIDTH_HEIGHT, WIDTH_HEIGHT);
		Textures.rabbitSheet[120] = Utils.grabSprite(image, 17, 3, WIDTH_HEIGHT, WIDTH_HEIGHT);

		/*** EAST IDLE ***/
		Textures.rabbitSheet[121] = Utils.reverseImage(Utils.grabSprite(image, 15, 3, WIDTH_HEIGHT, WIDTH_HEIGHT));
		Textures.rabbitSheet[122] = Utils.reverseImage(Utils.grabSprite(image, 16, 3, WIDTH_HEIGHT, WIDTH_HEIGHT));
		Textures.rabbitSheet[123] = Utils.reverseImage(Utils.grabSprite(image, 17, 3, WIDTH_HEIGHT, WIDTH_HEIGHT));

		/*** NORTHWEST IDLE ***/
		Textures.rabbitSheet[124] = Utils.grabSprite(image, 15, 4, WIDTH_HEIGHT, WIDTH_HEIGHT);
		Textures.rabbitSheet[125] = Utils.grabSprite(image, 16, 4, WIDTH_HEIGHT, WIDTH_HEIGHT);
		Textures.rabbitSheet[126] = Utils.grabSprite(image, 17, 4, WIDTH_HEIGHT, WIDTH_HEIGHT);

		/*** NORTHEAST IDLE ***/
		Textures.rabbitSheet[127] = Utils.reverseImage(Utils.grabSprite(image, 15, 4, WIDTH_HEIGHT, WIDTH_HEIGHT));
		Textures.rabbitSheet[128] = Utils.reverseImage(Utils.grabSprite(image, 16, 4, WIDTH_HEIGHT, WIDTH_HEIGHT));
		Textures.rabbitSheet[129] = Utils.reverseImage(Utils.grabSprite(image, 17, 4, WIDTH_HEIGHT, WIDTH_HEIGHT));

		/*** SOUTHWEST IDLE ***/
		Textures.rabbitSheet[130] = Utils.grabSprite(image, 15, 5, WIDTH_HEIGHT, WIDTH_HEIGHT);
		Textures.rabbitSheet[131] = Utils.grabSprite(image, 16, 5, WIDTH_HEIGHT, WIDTH_HEIGHT);
		Textures.rabbitSheet[132] = Utils.grabSprite(image, 17, 5, WIDTH_HEIGHT, WIDTH_HEIGHT);

		/*** SOUTHEAST IDLE ***/
		Textures.rabbitSheet[133] = Utils.reverseImage(Utils.grabSprite(image, 15, 5, WIDTH_HEIGHT, WIDTH_HEIGHT));
		Textures.rabbitSheet[134] = Utils.reverseImage(Utils.grabSprite(image, 16, 5, WIDTH_HEIGHT, WIDTH_HEIGHT));
		Textures.rabbitSheet[135] = Utils.reverseImage(Utils.grabSprite(image, 17, 5, WIDTH_HEIGHT, WIDTH_HEIGHT));
		
		
		// @@@@@@@@@@ RABBIT GET-HET GOES HERE @@@@@@@@@@@@@@@@@ //
		// 1 frame, 8 directions
		Textures.rabbitSheet[136] = Utils.grabSprite(image, 18, 1, WIDTH_HEIGHT, WIDTH_HEIGHT); // NORTH
		Textures.rabbitSheet[137] = Utils.reverseImage(Utils.grabSprite(image, 18, 4, WIDTH_HEIGHT, WIDTH_HEIGHT)); // NORTHEAST
		Textures.rabbitSheet[138] = Utils.reverseImage(Utils.grabSprite(image, 18, 3, WIDTH_HEIGHT, WIDTH_HEIGHT)); // EAST
		Textures.rabbitSheet[139] = Utils.reverseImage(Utils.grabSprite(image, 18, 5, WIDTH_HEIGHT, WIDTH_HEIGHT)); // SOUTHEAST
		Textures.rabbitSheet[140] = Utils.grabSprite(image, 18, 2, WIDTH_HEIGHT, WIDTH_HEIGHT); // SOUTH
		Textures.rabbitSheet[141] = Utils.grabSprite(image, 18, 5, WIDTH_HEIGHT, WIDTH_HEIGHT); // SOUTHWEST
		Textures.rabbitSheet[142] = Utils.grabSprite(image, 18, 3, WIDTH_HEIGHT, WIDTH_HEIGHT); // WEST 
		Textures.rabbitSheet[143] = Utils.grabSprite(image, 18, 4, WIDTH_HEIGHT, WIDTH_HEIGHT); // NORTHWEST

	}
	
}
